#ifndef __Fuel_Calibration__
#define __Fuel_Calibration__

#include "TYW_stdint.h"

void Fuel_Set_Filling(uint8_t Filling);
void Fuel_Set_EstimationFlag(uint8_t m_EstimationFlag);
void Fuel_Set_Ind_RefVol(uint16_t m_RefVol);
void Fuel_Set_Ind_DIM(uint16_t m_Ind_DIM);
void Fuel_Set_Filter_DIM(uint16_t m_Filter_DIM);
void Fuel_Set_FuelSeg(uint8_t FuelSeg);
void Fuel_Set_FuelStep(uint8_t FuelStep);
void Fuel_Set_ActVSpeed(uint8_t Vspeed);
void Fuel_Set_ActESpeed(uint16_t Espeed);
void Fuel_Set_ActIGN(uint8_t m_IGN);
void Fuel_Set_ACT_Res(uint16_t m_Res);
void Fuel_Set_Filter_Res(uint16_t m_Res);
void Fuel_Set_DispDTe(uint16_t m_DTE);
void Fuel_Set_ODO(uint32_t m_ODO);
void Fuel_Set_PJYH(uint8_t m_PJYH);
void Fuel_Set_dtePJYH(uint8_t m_PJYH);
void Fuel_Set_TotalConsumeFuel(uint32_t m_TotalCon);


void Fuel_Calibration_01(void);
void Fuel_Calibration_02(void);
void Fuel_Calibration_03(void);
void Fuel_Calibration_04(void);

void Fuel_Can_Msg_Send(uint32_t m_ID, uint8_t m_DLC, uint8_t Msg[]);


#endif
